DESCRIPTION = "Osmocom PCU for sysmoBTS"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM="file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

SRC_URI = "git://git.osmocom.org/osmo-pcu.git;protocol=git;branch=jolly_merge"
SRCREV = "06d28bb08aa9834bc0f0c2740ffbebc12ce8560f"
PV = "0.2+git${SRCPV}"
PR = "r2.${META_TELEPHONY_OSMO_INC}"
S = "${WORKDIR}/git"

DEPENDS = "libosmocore femtobts-api osmo-bts"

# This implements PCU Interface v5 (GPRS RSSI)
RDEPENDS_${PN} = "osmo-bts (>= 0.2.0)"

EXTRA_OECONF_sysmobts-v2 += "--enable-sysmocom-bts --enable-sysmocom-dsp"

inherit autotools_stage

# Select the API version
inherit femtobts_api
CPPFLAGS += " ${BTS_HW_VERSION} "

